package igk.ws.resources.cr;

import javax.xml.datatype.XMLGregorianCalendar;

public class OrderStatus {

  protected String providerOrderReference;
  protected String consumerOrderReference;
  protected String productCode;
  protected Party provider;
  protected Party consumer;
  protected Company originalRequest;
  protected String reportLanguage;
  protected String reportMimeType;
  protected String question;
//protected String providerAnswer;
  protected Double maxCreditAmount;
  protected String maxCreditCurrency;
  protected String maxCreditComment;
  protected String emailToNotify;

  protected String deliverySpeed;
  protected XMLGregorianCalendar ordered;
  protected XMLGregorianCalendar requestedDelivery;

  protected OrderStatusType statusCode;
  protected XMLGregorianCalendar statusChanged;
  protected XMLGregorianCalendar delivered;
  protected Company reportedCompany;
  protected String negativeReason;
  protected String negativeComment;

  public String getProviderOrderReference() {
    return providerOrderReference;
  }

  public void setProviderOrderReference(String providerOrderReference) {
    this.providerOrderReference = providerOrderReference;
  }

  public String getConsumerOrderReference() {
    return consumerOrderReference;
  }

  public void setConsumerOrderReference(String consumerOrderReference) {
    this.consumerOrderReference = consumerOrderReference;
  }

  public String getProductCode() {
    return productCode;
  }

  public void setProductCode(String productCode) {
    this.productCode = productCode;
  }

  public Party getProvider() {
    return provider;
  }

  public void setProvider(Party provider) {
    this.provider = provider;
  }

  public Party getConsumer() {
    return consumer;
  }

  public void setConsumer(Party consumer) {
    this.consumer = consumer;
  }

  public Company getOriginalRequest() {
    return originalRequest;
  }

  public void setOriginalRequest(Company originalRequest) {
    this.originalRequest = originalRequest;
  }

  public String getReportLanguage() {
    return reportLanguage;
  }

  public void setReportLanguage(String reportLanguage) {
    this.reportLanguage = reportLanguage;
  }

  public OrderStatusType getStatusCode() {
    return statusCode;
  }

  public void setStatusCode(OrderStatusType statusCode) {
    this.statusCode = statusCode;
  }

  public XMLGregorianCalendar getOrdered() {
    return ordered;
  }

  public void setOrdered(XMLGregorianCalendar ordered) {
    this.ordered = ordered;
  }

  public XMLGregorianCalendar getRequestedDelivery() {
    return requestedDelivery;
  }

  public void setRequestedDelivery(XMLGregorianCalendar requestedDelivery) {
    this.requestedDelivery = requestedDelivery;
  }

  public XMLGregorianCalendar getDelivered() {
    return delivered;
  }

  public void setDelivered(XMLGregorianCalendar delivered) {
    this.delivered = delivered;
  }

  public String getQuestion() {
    return question;
  }

  public void setQuestion(String question) {
    this.question = question;
  }

//  public String getProviderAnswer() {
//    return providerAnswer;
//  }

//  public void setProviderAnswer(String providerAnswer) {
//    this.providerAnswer = providerAnswer;
//  }

  public Double getMaxCreditAmount() {
    return maxCreditAmount;
  }

  public void setMaxCreditAmount(Double maxCreditAmount) {
    this.maxCreditAmount = maxCreditAmount;
  }

  public String getMaxCreditCurrency() {
    return maxCreditCurrency;
  }

  public void setMaxCreditCurrency(String maxCreditCurrency) {
    this.maxCreditCurrency = maxCreditCurrency;
  }

  public String getMaxCreditComment() {
    return maxCreditComment;
  }

  public void setMaxCreditComment(String maxCreditComment) {
    this.maxCreditComment = maxCreditComment;
  }

  public String getNegativeReason() {
    return negativeReason;
  }

  public void setNegativeReason(String negativeReason) {
    this.negativeReason = negativeReason;
  }

  public String getNegativeComment() {
    return negativeComment;
  }

  public void setNegativeComment(String negativeComment) {
    this.negativeComment = negativeComment;
  }

  public String getReportMimeType() {
    return reportMimeType;
  }

  public void setReportMimeType(String reportMimeType) {
    this.reportMimeType = reportMimeType;
  }

  public String getDeliverySpeed() {
    return deliverySpeed;
  }

  public void setDeliverySpeed(String deliverySpeed) {
    this.deliverySpeed = deliverySpeed;
  }

  public XMLGregorianCalendar getStatusChanged() {
    return statusChanged;
  }

  public void setStatusChanged(XMLGregorianCalendar statusChanged) {
    this.statusChanged = statusChanged;
  }

  public Company getReportedCompany() {
    return reportedCompany;
  }

  public void setReportedCompany(Company reportedCompany) {
    this.reportedCompany = reportedCompany;
  }

  public String getEmailToNotify() {
    return emailToNotify;
  }

  public void setEmailToNotify(String emailToNotify) {
    this.emailToNotify = emailToNotify;
  }


  public OrderStatus() {
  }

  public OrderStatus(
String oProviderOrderRef,
String iConsumerOrderRef,
String iProductCode,
Party provider,
Party consumer,
Company icompany,
String reportLanguage,
String reportMimeType,
String iQuestion,
//String providerAnswer,
Double maxCreditAmount,
String maxCreditCurrency,
String maxCreditComment,

String iEmailToNotify,
String deliverySpeed,
XMLGregorianCalendar oOrdered,
XMLGregorianCalendar oRequestedDelivery,

String statusCode,
XMLGregorianCalendar statusChanged,
XMLGregorianCalendar oDelivered,

Company ocompany,
String negativeReason,
String negativeComment
  ) {
//  DatatypeFactory dtf_ = Util.getDatatypeFactoryInstance();
    this.providerOrderReference = oProviderOrderRef;
    this.consumerOrderReference = iConsumerOrderRef;
    this.productCode = iProductCode;
    this.provider = provider;
    this.consumer = consumer;
    this.originalRequest = icompany;
    this.reportLanguage = reportLanguage;
    this.reportMimeType = reportMimeType;
    this.question = iQuestion;
//  this.providerAnswer = providerAnswer;
    this.maxCreditAmount = (maxCreditAmount != null ? maxCreditAmount.doubleValue() : null);
    this.maxCreditCurrency = maxCreditCurrency;
    this.maxCreditComment = maxCreditComment;

    this.emailToNotify = iEmailToNotify;
    this.deliverySpeed = deliverySpeed;
    this.ordered = oOrdered; //Util.toXMLGregorianCalendar(oOrdered, dtf_);
    this.requestedDelivery = oRequestedDelivery; //Util.toXMLGregorianCalendar(oRequestedDelivery, dtf_);

    this.statusCode = OrderStatusType.fromValue(statusCode);
    this.statusChanged = statusChanged;
    this.delivered = oDelivered; //Util.toXMLGregorianCalendar(oDelivered, dtf_);

    this.reportedCompany = ocompany;
    this.negativeReason = negativeReason;
    this.negativeComment = negativeComment;
  }

}
